# UnsupportedCompressionAlgorithmException (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.dump

## Class UnsupportedCompressionAlgorithmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.archivers.dump.DumpArchiveException
        - - org.apache.commons.compress.archivers.dump.UnsupportedCompressionAlgorithmException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedCompressionAlgorithmException
      extends DumpArchiveException

  Unsupported compression algorithm. The dump archive uses an unsupported compression algorithm (BZLIB2 or LZO).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedCompressionAlgorithmException()`
    `UnsupportedCompressionAlgorithmException(String alg)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedCompressionAlgorithmException

          public UnsupportedCompressionAlgorithmException()

    - #### UnsupportedCompressionAlgorithmException

          public UnsupportedCompressionAlgorithmException(String alg)

Copyright © 2016 The Apache Software Foundation. All rights reserved.